
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>apache 限制指定user_agent / 憋错料</title>

    <meta name="description" content="apache 限制指定user_agent 有些user_agent 不是我们想要的,可以通过rewrite功能针对 %{HTTP_USER_AGENT} 来rewirete到404页,从而达到限制某些user_agent的请求. 配置如下 &lt;IfModule mod_rewrite.c&gt; RewriteEngine on RewriteCond %{HTTP_USER_AGENT}  ^.*Firefox/4.0* [NC,OR] RewriteCond %{HTTP_USER_AGENT}  ^.*Tomato Bot/1 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">apache 限制指定user_agent</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>有些user_agent 不是我们想要的，可以通过rewrite功能针对 %{HTTP_USER_AGENT} 来rewirete到404页，从而达到限制某些user_agent的请求。</p>

<p>配置如下</p>
<p>&lt;IfModule mod_rewrite.c&gt;</p>
<p>RewriteEngine on</p>
<p>RewriteCond %{HTTP_USER_AGENT} &nbsp;^.*Firefox/4.0* [NC,OR]</p>
<p>RewriteCond %{HTTP_USER_AGENT} &nbsp;^.*Tomato Bot/1.0* [NC]</p>
<p>RewriteCond &nbsp; %{REQUEST_URI} !^/404*</p>
<p>RewriteRule &nbsp;.* &nbsp;/404.html</p>
<p>&lt;/IfModule&gt;</p>

<p>请注意，你的404.html千万别再跳转到其他页面了，否则很有可能就会死循环了。</p>
<p>其实rewrite到404.html 并不是很好的办法，而apache的rewrite功能有一项就是forbidden ,那就是 F</p>
<p>配置如下</p>
<p>&lt;IfModule mod_rewrite.c&gt;</p>
<p>RewriteEngine on</p>
<p>RewriteCond %{HTTP_USER_AGENT} &nbsp;^*Firefox/4.0* [NC,OR]</p>
<p>RewriteCond %{HTTP_USER_AGENT} &nbsp;^*Tomato Bot/1.0* [NC]</p>
<p>RewriteRule &nbsp;.* &nbsp;- &nbsp;[F]</p>
<p>&lt;/IfModule&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:52:23 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>apache 限制指定user_agent的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QZ5bkM.html" rel="bookmark">apache限制某个目录禁止解析php、apache禁止指定user&lowbar;agent、php相关配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:apache限制某个目录禁止解析php 某个目录下禁止解析 php,这个很有用,我们做网站安全的时候,这个用的很多,比如某些目录可以上传文件,为了避免上传的文件有×××,所以我们禁止这个目录下面的访问解析php. &lt;Directory /data/www/data&gt; php_admin_flag engine off &lt;filesmatch &quot;(.*)php&quot;&gt; Order deny,allow Deny from all &lt;/filesmatch&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0K2rKmM.html" rel="bookmark">Apache禁止指定user&lowbar;agent</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				user_agent我们把它叫做浏览器标识,目前主流的浏览器有IE.chrome.Firefox.360.iphone上的Safari.Android手机上的.百度搜索引擎.Google搜索引擎等很多,每一种浏览器都有对应的user_agent. 配置如下: &lt;IfModule mod_rewrite.c&gt; RewriteEngine on RewriteCond %{HTTP_USER_AGENT} ^.*Firefox/4.0.* [NC,OR] RewriteCond %{HTTP_US			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qEKzG3.html" rel="bookmark">apache&OpenCurlyQuote;禁止指定user&lowbar;agent&rsquo; 和 &OpenCurlyQuote;禁止用户通过浏览器访问某个目录&rsquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				禁止指定user_agent 本节介绍如何通过rewrite实现限制指定 user_agent 的请求: 即禁掉不想让那些引擎访问的请求 编辑虚拟主机配置文件 [[email protected] ~]# vim /usr/local/apache2/conf/extra/httpd-vhosts.conf (找到&quot;域名301跳转的配置&quot;即&quot;rewrite的mod配置&quot;内写入) RewriteCond %{HTTP_USER_AGENT} ^.*curl.* [NC			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49wGZX0.html" rel="bookmark">LAMP - Apache禁止指定user&lowbar;agent</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站有时候会有一些非法的访问或者无意义的访问,比如垃圾的蜘蛛(360 spider, sogou spider等),当网站访问量很大时,蜘蛛的访问会增加服务器的负担,损失性能.对于没有必要的搜索引擎,可以禁掉:而对于百度,谷歌等可以保留 禁止搜索引擎的方法:通过rewrite模块实现,比如禁止sogou spider对网站进行访问,添加以下红色字段 &lt;IfModule mod_rewrite.c&gt; RewriteEngine on RewriteCond %{HTTP_HOST} ^www.a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vZwBa3.html" rel="bookmark">Apache禁止解析php 禁止指定user&lowbar;agent Apache通过rewrite限制某个目录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;Directory /data/www/data&gt; php_admin_flag engine off &lt;filesmatch &quot;(.*)php&quot;&gt; Order deny,allow Deny from all &lt;/filesmatch&gt; &lt;/Directory&gt; 禁止指定user_agent &lt;IfModule mod_rewrite.c&gt; RewriteEngine on RewriteCond %{HTTP_USER_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bq97pM.html" rel="bookmark">Apache不指定记录文件日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编辑虚拟主机配置文件 在Errorlog和Customlog中间加入不指定记录文件日志的格式, 如下所示: ErrorLog &quot;lam.com-error_log&quot; SetEnvIf Resquest_URI &quot;.*\.gif$&quot; image-request SetEnvIf Resquest_URI &quot;.*\.jpg$&quot; image-request SetEnvIf Resquest_URI &quot;.*\.png$&quot; image			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/ME6omy0.html" rel="bookmark">Nginx 访问控制&amp;屏蔽指定 user&lowbar;agent</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				禁止非法恶意访问的IP [[email protected] ~]# vim /usr/local/nginx/conf/vhosts/linux.conf location ~ .*admin\.php$ { allow 127.0.0.1; deny all; #auth_basic &quot;auth&quot;; #auth_basic_user_file /usr/local/nginx/conf/.htpasswd; include fastcgi_params; fastcgi_pass			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41GrdG0.html" rel="bookmark">LAMP--Apache 禁止指定 user&lowbar;agent</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				user_agent 可以当作浏览器标识,目前主流的浏览器有 IE.chrome.Firefox.360.iPhone上的 Safari.Android 手机上的百度搜索引擎.google搜索引擎等很多,每一种浏览器都有对应的 user_agent,下面列出几个常见的 user_agent. Mozilla/4.0(compatible; MSIE 6.0; Windows NT 5.1; Trident/4.0; .NET4.0C; .NET4.0E; SE 2.x) Mozilla/5.0(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXQyQG0.html" rel="bookmark">Apache禁止指定USRE&lowbar;AGENT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候去分析访问日志的时候会有很多非法的访问,或者说你不想让它访问的一些请求,比如说一些比较垃圾的蜘蛛搜索引擎,其实我们对于这些搜索引擎是可以禁掉的,因为你的网站访问量的请求如果很大的话,那么会有一半的访问量是这些搜索引擎他们的爬虫来访问的,它们的访问跟人为的访问是一样的,同样会造成咱们服务器的负担 看一下访问日志 [[email protected] ~]# tail /usr/local/apache2/logs/test.com-access_ test.com-access_201512			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/7MVjayM.html" rel="bookmark" class="title">在VC&plus;&plus;中启用内存泄露检测</a>
					<div>
						检测内存泄漏的主要工具是调试器和 CRT 调试堆函数.若要启用调试堆函数,请在程序中包括以下语句: #define CRTDBG_MAP_ALLOC#include &lt;stdlib.h&gt;# ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mywozp3.html" rel="bookmark" class="title">Ubuntu mysql workbench安装失败</a>
					<div>
						当我下载完workbench时,出现了一些依赖关系 我好像是输入了 sudo apt-get -f install 命令之后,再运行 sudo dpkg -i mysql-workbench-comm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJwZV4.html" rel="bookmark" class="title">java 读写文件常用方法</a>
					<div>
						package study.bigdata; import org.apache.commons.io.FileUtils; import org.apache.commons.io.IOUtils; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vKzrZ4.html" rel="bookmark" class="title">WebStorm 8&period;0&period;3下简单运行pomelo项目</a>
					<div>
						关于WebStorm 据说WebStorm是Javascript脚本调试中的大哥大,无论对于客户端脚本还是对于服务器端脚本都没有问题,特别是它对基于node.js的脚本调试提供了完美支持,所以,我毫不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K2geOM.html" rel="bookmark" class="title">Blender绘制大脑表层，并高亮染色</a>
					<div>
						首先, 有必要熟悉一下Blender的一些快捷键.(实在不想吐槽Blender反人类的交互操作了) 按鼠标右键是选择某个物体.(是右键,而不是左键!) 按A键,取消选中或者选中全部物体. 按H键,隐藏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ON5Vo0.html" rel="bookmark" class="title">微风IM 3&period;3   系列之一   实现新用户注册</a>
					<div>
						登陆窗口如下: 本文首先来实现“注册新账号功能” 第一步: 打开VS2010 ,找到BasicForm窗体类,这个类是美化窗体的一个基类,我们可以从此窗体继承 第二步,创建新窗体 RegisterUs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5ZqVM.html" rel="bookmark" class="title">ios学习随笔五</a>
					<div>
						Touches 触摸事件处理:在viewcontroller中添加touch的一些方法 //获取触摸点println(touches.anyObject()?.locationInView(self. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZpLzM.html" rel="bookmark" class="title">zoj 1880 - Tug of War&lpar;DP&rpar;</a>
					<div>
						题目:二维01背包. 分析:因为必须放在两个组中的一组,直接背包所有可到状态, 取出相差不超过 1的最接近 sum/2的值即可. 说明:430ms...好慢啊... #include &lt;stdi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGgeJM.html" rel="bookmark" class="title">EC笔记：第二部分：12、复制对象时勿忘其每一个成分</a>
					<div>
						EC笔记:第二部分:12.复制对象时勿忘其每一个成分 1.场景 某些时候,我们不想使用编译器提供的默认拷贝函数(包括拷贝构造函数和赋值运算符),考虑以下类定义: 代码1: class Point{ p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35AlYK3.html" rel="bookmark" class="title">HOOK自绘原理 good</a>
					<div>
						做“HOOK文件打开/保存对话框”的过程中,我首先研究了界面库的相关知识.界面库一般都是由C/C++这种中低级语言编码,这是因为在Windows下的界面库实现技术大都以直接操作控制Windows的消息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dNnB94.html" rel="bookmark" class="title">UVa 11825 Hackers&rsquo; Crackdown</a>
					<div>
						参照大白书上面的解法,总共三个步骤,前两个步骤都较好理解.P[i]是用位表示的当选中i时,总共有0~n-1总共有多少个数字被覆盖.cover[S]则表示,当子集为S时,0~n-1中能够被覆盖的位数.若 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rzn913.html" rel="bookmark" class="title">数据库ACID原则和事务隔离级别</a>
					<div>
						数据库ACID原则 A:原子性,Atomicity C:一致性,Consistency I:隔离性,Isolation D:持久性,Durability 在mysql中的innodb引擎,原子性,一致 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471Bm90.html" rel="bookmark" class="title">GUI库中RichEdit控件开发的林林总总</a>
					<div>
						之前开发了RichEdit控件,现在回顾总结一下. Rich text format格式(通常缩写为RTF)是一种专有的文档文件格式,是1987年Microsoft对文件跨平台交换开发发布的规范,详情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QaD9k4.html" rel="bookmark" class="title">你做前端多久了？为什么要选择做前端？</a>
					<div>
						作为入行不久的一枚前端妹子,由于急于成为前端大拿,最近也结交了不少前端朋友,有真正的大拿,有跟我水平相当的同僚,也有刚入行的小白. 我跟很多人问过大家做前端多久了?为什么选择做前端这样的问题,大家经验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QaZxk4.html" rel="bookmark" class="title">20135326王亦可信息安全系统设计基础期末总结</a>
					<div>
						每周读书笔记链接汇总 [第三周读书笔记]http://www.cnblogs.com/baka/p/4823862.html [第四周读书笔记]http://www.cnblogs.com/baka/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47XmvRM.html" rel="bookmark" class="title">关于sqlserver2012重启后ID自增1000的问题解决方案</a>
					<div>
						1. Open &quot;SQL Server Configuration Manager&quot; 2. Click &quot;SQL Server Services&quot; on the ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZ27X3.html" rel="bookmark" class="title">Android Studio 首坑 Gradle sync failed&colon; Cause&colon; error in opening zip file 的错误</a>
					<div>
						前言 本文章主要通过介绍如果Android Studio安装时出现包错误的解决方式及思路,授予人鱼不如授予人渔. 环境: 操作系统:Windows 7 SP1 安卓编译环境:Android studi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgrlg3.html" rel="bookmark" class="title">命令-tar</a>
					<div>
						tar 命令 [NAME] tar - manual page for tar 1.26 [SYNOPSIS] tar [OPTION...] [FILE]... [OPTIONS] (1)创建归档  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLQXwO0.html" rel="bookmark" class="title">EasyUI 树形菜单的显示（SpringMVC&plus;Hibernate）</a>
					<div>
						项目中要能够根据系统不同角色分配不同的权限,权限包括菜单和页面上的按钮,我都放到一个类里面,用一个menuOrFunction字段标明是菜单还是按钮.在EasyUI树中,要有它自己的ID,父Id,Ur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35n6oE4.html" rel="bookmark" class="title">PHP curl&lowbar;setopt函数用法介绍补充篇</a>
					<div>
						1.curl数据采集系列之单页面采集函数get_html 单页面采集在数据采集过程中是最常用的一个功能 有时在服务器访问限制的情况下 只能使用这种采集方式 慢 但是可以简单的控制 所以写好一个常用的c ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
